<?php
#*******************************
# CONFIGURAR
#*******************************
// dominio do site - exemplo: rz2.com.br
define("DOMINIO", "luaazulbijoux.com.br");

if ($_SERVER['SERVER_NAME'] == 'localhost') {
    #*******************************
    # LOCALHOST
    #*******************************
    define("PATHRAIZ", $_SERVER['DOCUMENT_ROOT'] . "/luaazul/");
    define("URLRAIZ", "http://localhost/luaazul/");
    define("BD_USUARIO", "root");
    define("BD_SENHA", "");
    define("BD_SERVIDOR", "localhost");
    define("BD_BASE", "luaazul");
} else {
    #*******************************
    # HOSPEDAGEM
    #*******************************
    define("PATHRAIZ", $_SERVER['DOCUMENT_ROOT']."/");
    define("URLRAIZ", "https://www.luaazulbijoux.com.br/");
    define("BD_USUARIO", "luaazulbijoux_loja");
    define("BD_SENHA", "lu1Azu1b1j0ux");
    define("BD_SERVIDOR", "localhost");
    define("BD_BASE", "luaazulbijoux_loja");
}

#************************************
# INICIALIZA ARRAYS DE CONFIGURAÇÃO
#************************************
if (!isset($seo))
    $seo = array();
if (!isset($layout))
    $layout = array();

#*******************************
# SEO
#*******************************
define("PRETITLE", "Lua Azul");
define("TITLE", "");
define("DESCRIPTION", "");
define("KEYWORDS", "");

// não alterar abaixo

if (!isset($seo['pretitle']))
    $seo['pretitle'] = PRETITLE;
if (!isset($seo['title']))
    $seo['title'] = TITLE;
if (!isset($seo['separador']))
    $seo['separador'] = ' | ';
if (!isset($seo['description']))
    $seo['description'] = DESCRIPTION;
if (!isset($seo['keywords']))
    $seo['keywords'] = KEYWORDS;

#*******************************
# LAYOUT
#*******************************
// breadcrumb
$breadcrumb = array();
$breadcrumb[1]['nome'] = 'Home';
$breadcrumb[1]['url'] = URLRAIZ;


#*******************************
# CATEGORIA HOME
#*******************************
define("CATEGORIA_HOME", 1);

#*******************************
# STATUS DOS PEDIDOS
#*******************************
define("ANALISE", 1);
define("APROVADO", 2);
define("CANCELADO", 3);
define("ENTREGUE", 4);
define("AGUARDANDO", 5);

#*******************************
# PATHS / URLS
#*******************************
define("PATHADMIN", PATHRAIZ . "adminrz2/");
define("PATHCKEDITOR", PATHADMIN . "ckeditor/");
define("PATHJPGRAPH", PATHADMIN . "jpgraph/");
define("PATHGRAFICO", PATHADMIN . "grafico/");
define("PATHCLASSES", PATHRAIZ . "classes/");
define("PATHCONFIG", PATHRAIZ . "config/");
define("PATHPUBLIC", PATHRAIZ . "public/");
define("PATHCSS", PATHPUBLIC . "css/");
define("PATHEMAIL", PATHPUBLIC . "email/");
define("PATHIMG", PATHPUBLIC . "img/");
define("PATHBANNER", PATHIMG . "banner/");
define("PATHPRODUTO", PATHIMG . "produto/");
define("PATHPAGPRODUTO", PATHRAIZ . "produto/");
define("PATHJS", PATHPUBLIC . "js/");
define("PATHLIGHTBOX", PATHJS . "lightbox/");

define("URLADMIN", URLRAIZ . "adminrz2/");
define("URLCKEDITOR", URLADMIN . "ckeditor/");
define("URLJPGRAPH", URLADMIN . "jpgraph/");
define("URLGRAFICO", URLADMIN . "grafico/");
define("URLCLASSES", URLRAIZ . "classes/");
define("URLCONFIG", URLRAIZ . "config/");
define("URLPUBLIC", URLRAIZ . "public/");
define("URLCSS", URLPUBLIC . "css/");
define("URLEMAIL", URLPUBLIC . "email/");
define("URLIMG", URLPUBLIC . "img/");
define("URLBANNER", URLIMG . "banner/");
define("URLPRODUTO", URLIMG . "produto/");
define("URLPAGPRODUTO", URLRAIZ . "produto/");
define("URLJS", URLPUBLIC . "js/");
define("URLLIGHTBOX", URLJS . "lightbox/");

#************************************
# MASCARA INPUT
#************************************
define("MASCARA_NUMERO", 'onkeypress="return valida_numero(event);"');
define("MASCARA_DATA", 'onkeypress="mascara(\'DATA\',this,event); return valida_numero(event);"');
define("MASCARA_HORA", 'onkeypress="mascara(\'HORA\',this,event); return valida_numero(event);"');
define("MASCARA_CEP", 'onkeypress="mascara(\'CEP\',this,event); return valida_numero(event);"');
define("MASCARA_VALOR", 'onkeypress="return valida_numero(event)" onKeydown="Formata(this,20,event,2)"');

#*******************************
# DIVERSOS
#*******************************
define("URL_PRODUTOSEMIMAGEM", URLPRODUTO . 'produto-sem-imagem.jpg');
define("PATH_PRODUTOSEMIMAGEM", PATHPRODUTO . 'produto-sem-imagem.jpg');
define("HORA", date('H:i:s'));
define("DATABR", date('d/m/Y'));
define("DATAMYSQL", date('Y-m-d'));
define("DATAHORABR", DATABR . ' ' . HORA);
define("DATAHORAMYSQL", DATAMYSQL . ' ' . HORA);
?>